import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'

import { createMetaManager, plugin as metaPlugin } from 'vue-meta'

import { setupI18n, loadAndSetLocale } from '@/i18n.js'

import naive from 'naive-ui'
import './assets/tailwind.css'

const i18n = setupI18n()

var app = createApp(App).use(store).use(router)

app.use(createMetaManager())
app.use(metaPlugin)

app.use(i18n)
app.use(naive)

loadAndSetLocale(i18n, 'en')

//await router.isReady()
app.mount('#app')
